BizKitHub
DocsAPI ReferenceLedger/bff/ledger/account/update
postLedgerAdmin BFF

/bff/ledger/account/update

Update an account (effective-dated definition)

LedgerpostBffLedgerAccountUpdate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Account external id.

Length: 24–24
effectiveFromstring | nullOptional
One of 2:
Variant 1
string
Example2026-01-01
Variant 2
null
namestringOptional
Length: 1–255
normalSide"debit" | "credit" | nullOptional
One of 3:
Variant 1
"debit"
Variant 2
"credit"
Variant 3
null
taxDeductibility"deductible" | "non_deductible"Optional
isActivebooleanOptional
isClearingbooleanOptional
isOpenItembooleanOptional
isFxRevaluablebooleanOptional
currencystring | nullOptional
One of 2:
Variant 1
string
Length: 0–3
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
evidencestring | nullOptional
One of 2:
Variant 1
string
Length: 0–1000
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
changeCountnumberRequired
versionedbooleanRequired

Response example

application/json
{
  "success": false,
  "changeCount": 0,
  "versioned": false
}

Request example

POST /bff/ledger/account/update

post
curl -X POST "https://api.bizkithub.com/bff/ledger/account/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "name": "example_name",
  "isActive": false,
  "isClearing": false,
  "isOpenItem": false,
  "isFxRevaluable": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key